### Hierarchy

- Spec
  - Component
    - Container
    - Button
    - Checkbox
    - DatePicker
    - Image
    - Label
    - SignatureCapture
    - TextArea
    - TextField
    - TimePicker
    - ValuePicker

## Index

### Constructors

- constructor

### Properties

- _actualHeights
- _actualWidths
- _actualX
- _actualY
- _backgroundColor
- _binding
- _height
- _id
- _layout
- _padding
- _parentContainer
- _textAttributes
- _width
- _x
- _y
- nodeChildDict

### Accessors

- actualHeights
- actualWidths
- actualX
- actualY
- backgroundColor
- binding
- height
- id
- layout
- padding
- parentContainer
- textAttributes
- width
- x
- y

### Methods

- initComponentWith

## Constructors

### constructor

- new Component(parentContainer: Container, node?: Node, overrideLayout?: Layout): Component

- Overrides Spec.constructor

  - Defined in print/PrintForm.ts:137

  #### Parameters

  - ##### parentContainer: Container

  - ##### Optional node: Node

  - ##### Optional overrideLayout: Layout

  #### Returns Component

## Properties

### Private _actualHeights

_actualHeights: Array<number>

- Defined in print/PrintForm.ts:129

### Private _actualWidths

_actualWidths: Array<number>

- Defined in print/PrintForm.ts:130

### Private _actualX

_actualX: number

- Defined in print/PrintForm.ts:131

### Private _actualY

_actualY: number

- Defined in print/PrintForm.ts:132

### Private _backgroundColor

_backgroundColor: Color

- Defined in print/PrintForm.ts:120

### Private _binding

_binding: Binding

- Defined in print/PrintForm.ts:121

### Private _height

_height: number

- Defined in print/PrintForm.ts:133

### Private _id

_id: string

- Defined in print/PrintForm.ts:122

### Private _layout

_layout: Layout

- Defined in print/PrintForm.ts:123

### Private _padding

_padding: Edges

- Defined in print/PrintForm.ts:124

### Private _parentContainer

_parentContainer: Container

- Defined in print/PrintForm.ts:125

### Protected _textAttributes

_textAttributes: TextAttributes

- Defined in print/PrintForm.ts:126

### Private _width

_width: number

- Defined in print/PrintForm.ts:135

### Private _x

_x: number

- Defined in print/PrintForm.ts:136

### Private _y

_y: number

- Defined in print/PrintForm.ts:137

### Protected nodeChildDict

nodeChildDict: Object

Inherited from Spec.nodeChildDict

- Defined in print/PrintForm.ts:109

## Accessors

### actualHeights

- get actualHeights(): Array<number>

- - Defined in print/PrintForm.ts:186

  #### Returns Array<number>

### actualWidths

- get actualWidths(): Array<number>

- - Defined in print/PrintForm.ts:189

  #### Returns Array<number>

### actualX

- get actualX(): number

- - Defined in print/PrintForm.ts:192

  #### Returns number

### actualY

- get actualY(): number

- - Defined in print/PrintForm.ts:195

  #### Returns number

### backgroundColor

- get backgroundColor(): Color

- - Defined in print/PrintForm.ts:171

  #### Returns Color

### binding

- get binding(): Binding

- - Defined in print/PrintForm.ts:174

  #### Returns Binding

### height

- get height(): number

- - Defined in print/PrintForm.ts:198

  #### Returns number

### id

- get id(): string

- - Defined in print/PrintForm.ts:177

  #### Returns string

### layout

- get layout(): Layout

- - Defined in print/PrintForm.ts:180

  #### Returns Layout

### padding

- get padding(): Edges

- - Defined in print/PrintForm.ts:183

  #### Returns Edges

### parentContainer

- get parentContainer(): Container

- - Defined in print/PrintForm.ts:201

  #### Returns Container

### textAttributes

- get textAttributes(): TextAttributes

- - Defined in print/PrintForm.ts:204

  #### Returns TextAttributes

### width

- get width(): number

- - Defined in print/PrintForm.ts:207

  #### Returns number

### x

- get x(): number

- - Defined in print/PrintForm.ts:210

  #### Returns number

### y

- get y(): number

- - Defined in print/PrintForm.ts:213

  #### Returns number

## Methods

### initComponentWith

- initComponentWith(overrideLayout?: Layout): void

- - Defined in print/PrintForm.ts:162

  #### Parameters

  - ##### Optional overrideLayout: Layout

  #### Returns void

Generated using TypeDoc